Service Groups
Get Service Group Template Inputs
Get the deployed template's inputs in order with current values. Only valid for template-deployed groups.
Get the deployed template's inputs in order with current values. Only valid for template-deployed groups.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Query Parameters
id*string
The ID of the service group
Format
uuidteam_id*string
The ID of the team
Format
uuidproject_id*string
The ID of the project
Format
uuidenvironment_id*string
The ID of the environment
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/service_groups/template-inputs?id=497f6eca-6276-4993-bfeb-53cbbbba6f08&team_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&project_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&environment_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "inputs": [ { "current_value": "string", "current_value_gb": 0.1, "default": "string", "default_gb": 0.1, "description": "string", "editable": true, "editable_reason": "string", "hidden": true, "id": "string", "name": "string", "port_protocol": "TCP", "required": true, "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0", "target_port": 0, "type": "variable", "volume": { "mountPath": "string", "name": "string" } } ], "service_group_id": "104f616c-7810-45eb-93cf-a187d0f2d35a", "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc", "version": 0 }}